Bug 1250946 - pcre: heap buffer overflow with a crafted regular expression [fedora-all]
pcre: heap buffer overflow with a crafted regular expression [fedora-all]
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pcre (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 1287630 1287691 (view as bug list)
Depends On:
Blocks: 1250943 CVE-2015-8385 CVE-2015-8392
  Show dependency treegraph
 
Reported: 2015-08-06 07:10 EDT by Vasyl Kaigorodov
Modified: 2016-11-08 10:48 EST (History)
2 users (show)

See Also:
Fixed In Version: 8.35-14.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 13:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasyl Kaigorodov 2015-08-06 07:10:30 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vasyl Kaigorodov 2015-08-06 07:10:35 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1250943,1250946

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1250943,1250946
Comment 2 Fedora Update System 2015-08-06 07:19:50 EDT
pcre-8.37-3.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/pcre-8.37-3.fc23
Comment 3 Fedora Update System 2015-08-06 07:20:32 EDT
pcre-8.37-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pcre-8.37-3.fc22
Comment 4 Fedora Update System 2015-08-06 07:23:19 EDT
pcre-8.35-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcre-8.35-13.fc21
Comment 5 Fedora Update System 2015-08-13 12:57:37 EDT
pcre-8.37-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-08-26 00:25:17 EDT
pcre-8.37-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pcre'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14229
Comment 7 Fedora Update System 2015-08-26 13:24:47 EDT
pcre-8.35-14.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pcre'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14242
Comment 8 Fedora Update System 2015-08-27 13:57:02 EDT
pcre-8.37-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-09-11 14:48:40 EDT
pcre-8.35-14.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Petr Pisar 2015-12-03 03:19:29 EST
*** Bug 1287630 has been marked as a duplicate of this bug. ***
Comment 11 Petr Pisar 2015-12-03 09:26:23 EST
*** Bug 1287691 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.